org.apache.commons.codec.digest

## Class PureJavaCrc32C

- java.lang.Object
- - org.apache.commons.codec.digest.PureJavaCrc32C

- All Implemented Interfaces:
    Checksum

      public class PureJavaCrc32C
      extends Object
      implements Checksum

  A pure-java implementation of the CRC32 checksum that uses the CRC32-C polynomial, the same polynomial used by iSCSI and implemented on many Intel chipsets supporting SSE4.2. Copied from Hadoop 2.3.6: https://git-wip-us.apache.org/repos/asf?p=hadoop.git;a=blob_plain; f=hadoop-common-project/hadoop-common/src/main/java/org/apache/hadoop/util/PureJavaCrc32C.java; hb=2120de588b92b9f22b1cc4188761d6a8c61aa778

  This class is Not ThreadSafe

  Since:
    1.11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureJavaCrc32C()` Create a new PureJavaCrc32 object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getValue()`
    `void` | `reset()`
    `void` | `update(byte[] b, int off, int len)`
    `void` | `update(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PureJavaCrc32C

          public PureJavaCrc32C()

      Create a new PureJavaCrc32 object.

  - ### Method Detail

    - #### getValue

          public long getValue()

      Specified by:
        `getValue` in interface `Checksum`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `Checksum`

    - #### update

          public void update(byte[] b,
                             int off,
                             int len)

      Specified by:
        `update` in interface `Checksum`

    - #### update

          public final void update(int b)

      Specified by:
        `update` in interface `Checksum`

Copyright © 2002–2019 The Apache Software Foundation. All rights reserved.